'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _enzyme = require('enzyme');

var _ = require('../');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('Col', function () {
  it('Should add classes equals to props', function () {
    var enzymeWrapper = (0, _enzyme.shallow)(_react2.default.createElement(_.Col, { xs: 12, sm: 8, md: 6, lg: 4, first: 'xs', last: 'lg' }));

    expect(enzymeWrapper.hasClass('col-xs-12')).toBeTruthy();
    expect(enzymeWrapper.hasClass('col-sm-8')).toBeTruthy();
    expect(enzymeWrapper.hasClass('col-md-6')).toBeTruthy();
    expect(enzymeWrapper.hasClass('col-lg-4')).toBeTruthy();
    expect(enzymeWrapper.hasClass('first-xs')).toBeTruthy();
    expect(enzymeWrapper.hasClass('last-lg')).toBeTruthy();
  });

  it('Should add "reverse" class if "reverse" property is true', function () {
    var enzymeWrapper = (0, _enzyme.shallow)(_react2.default.createElement(_.Col, { reverse: true }));

    expect(enzymeWrapper.hasClass('reverse')).toBeTruthy();
  });

  it('Should not replace class', function () {
    var enzymeWrapper = (0, _enzyme.shallow)(_react2.default.createElement(_.Col, { className: 'foo', md: 3 }));

    expect(enzymeWrapper.hasClass('foo')).toBeTruthy();
    expect(enzymeWrapper.hasClass('col-md-3')).toBeTruthy();
  });

  it('Should allow zero offset', function () {
    var enzymeWrapper = (0, _enzyme.shallow)(_react2.default.createElement(_.Col, { xs: 11, sm: 8, md: 6, lg: 4, xsOffset: 1, smOffset: 0 }));

    expect(enzymeWrapper.hasClass('col-xs-11')).toBeTruthy();
    expect(enzymeWrapper.hasClass('col-sm-offset-0')).toBeTruthy();
    expect(enzymeWrapper.hasClass('col-xs-offset-1')).toBeTruthy();
  });
});