'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _enzyme = require('enzyme');

var _ = require('../');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('Grid', function () {
  it('Should add "container" class', function () {
    var enzymeWrapper = (0, _enzyme.shallow)(_react2.default.createElement(_.Grid, null));

    expect(enzymeWrapper.hasClass('container')).toBeTruthy();
  });

  it('Should not replace class', function () {
    var enzymeWrapper = (0, _enzyme.shallow)(_react2.default.createElement(_.Grid, { className: 'foo' }));

    expect(enzymeWrapper.hasClass('foo')).toBeTruthy();
    expect(enzymeWrapper.hasClass('container')).toBeTruthy();
  });

  it('Should add "container-fluid" class if "fluid" property is true', function () {
    var enzymeWrapper = (0, _enzyme.shallow)(_react2.default.createElement(_.Grid, { fluid: true }));

    expect(enzymeWrapper.hasClass('container-fluid')).toBeTruthy();
  });
});