'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _enzyme = require('enzyme');

var _ = require('../');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('Row', function () {
  it('Should add "row" class', function () {
    var enzymeWrapper = (0, _enzyme.shallow)(_react2.default.createElement(_.Row, null));

    expect(enzymeWrapper.hasClass('row')).toBeTruthy();
  });

  it('Should add "reverse" class if "reverse" property is true', function () {
    var enzymeWrapper = (0, _enzyme.shallow)(_react2.default.createElement(_.Row, { reverse: true }));

    expect(enzymeWrapper.hasClass('reverse')).toBeTruthy();
  });

  it('Should not replace class', function () {
    var enzymeWrapper = (0, _enzyme.shallow)(_react2.default.createElement(_.Row, { className: 'foo' }));

    expect(enzymeWrapper.hasClass('foo')).toBeTruthy();
    expect(enzymeWrapper.hasClass('row')).toBeTruthy();
  });

  it('Should add modificators', function () {
    var enzymeWrapper = (0, _enzyme.shallow)(_react2.default.createElement(_.Row, {
      start: 'xs',
      center: 'sm',
      end: 'md',
      top: 'lg',
      middle: 'xs',
      bottom: 'sm',
      around: 'md',
      between: 'lg'
    }));

    expect(enzymeWrapper.hasClass('row')).toBeTruthy();
    expect(enzymeWrapper.hasClass('start-xs')).toBeTruthy();
    expect(enzymeWrapper.hasClass('center-sm')).toBeTruthy();
    expect(enzymeWrapper.hasClass('end-md')).toBeTruthy();
    expect(enzymeWrapper.hasClass('top-lg')).toBeTruthy();
    expect(enzymeWrapper.hasClass('middle-xs')).toBeTruthy();
    expect(enzymeWrapper.hasClass('bottom-sm')).toBeTruthy();
    expect(enzymeWrapper.hasClass('around-md')).toBeTruthy();
    expect(enzymeWrapper.hasClass('between-lg')).toBeTruthy();
  });
});